## golang-github-moul-http2curl 2.3.0

=== tool/lint/Makefile ===
rwildcard = $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2) $(filter $(subst *,%,$2),$d))
my-filter-out = $(foreach v,$(2),$(if $(findstring $(1),$(v)),,$(v)))
testfiles ?= $(sort $(call my-filter-out,node_modules/,$(call rwildcard,../..,*.md)))

all: test

test: info offensive-wording remark markdownlint spellcheck
	@echo ""
	@echo "--- OK. ---"
.PHONY: test

info: deps
	@echo ""
	@echo "==> Files to check:"
	@echo "  $(testfiles:../.%=%)"
.PHONY: info

offensive-wording: deps
	@echo ""
	@echo "==> Checking for inconsiderate/insensitive wording..."
	@node_modules/.bin/alex --diff $(testfiles) || true
.PHONY: offensive-wording

spellcheck: deps
	@echo ""
	@echo "==> Checking for spelling errors..."
	@node_modules/.bin/mdspell --report --en-us --ignore-numbers --ignore-acronyms $(testfiles)
.PHONY: spellcheck

remark: deps
	@echo ""
	@echo "==> Checking for messy formatting..."
	@node_modules/.bin/remark --frail $(testfiles)
.PHONY: remark

markdownlint: deps
	@echo ""
	@echo "==> Checking for good practices..."
	@node_modules/.bin/markdownlint $(testfiles)
.PHONY: markdownlint

deps: node_modules/
node_modules/: package.json
	npm install
	touch $@
.PHONY: deps

## golang-github-moul-http2curl 0.0~git20161031.0.4e24498+dfsg

=== debian/changelog ===
golang-github-moul-http2curl (0.0~git20161031.0.4e24498+dfsg-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 17:02:06 +0100

golang-github-moul-http2curl (0.0~git20161031.0.4e24498+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #875534)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 11 Sep 2017 07:37:29 +0900

=== debian/control ===
Source: golang-github-moul-http2curl
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-smartystreets-goconvey-dev
Standards-Version: 4.1.0
Homepage: https://github.com/moul/http2curl
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-moul-http2curl.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-moul-http2curl.git
XS-Go-Import-Path: github.com/moul/http2curl
#Testsuite: autopkgtest-pkg-go

Package: golang-github-moul-http2curl-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-smartystreets-goconvey-dev
Description: Go package for convert Golang's http.Request to CURL command line
 Package http2curl provides the function to convert Golang's http.Request to
 CURL command line. By setting the URL, argument, Content-Type, output the
 command line to be executed with CURL.

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
dversionmangle=s{[+~](?:dfsg|git)\d*}{},\
" https://github.com/moul/http2curl/releases \
  .*/archive/v?(\d[\d\.\-rc]+)\.tar\.gz

## golang-github-moul-http2curl 2.3.0

=== debian/changelog ===
golang-github-moul-http2curl (2.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.1.1, no changes needed.

  [ Andreas Tille ]
  * Fix watch file
  * Default Salsa CI
  * Standards-Version: 4.7.2 (routine-update)
  * Use tracker.debian.org's team functionality in Debian Go Packaging
    Team and spell team name as per policy (routine-update)
  * Section: s/devel/golang/ (routine-update)
  * No tab in license text (routine-update)
  * Set upstream metadata fields: Repository-Browse.
  * Set upstream metadata fields: Repository.
  * d/copyright: No need to exclude files from upstream source any more
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 07 Oct 2025 21:41:06 +0200

=== debian/control ===
Source: golang-github-moul-http2curl
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-smartystreets-goconvey-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-moul-http2curl
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-moul-http2curl.git
Homepage: https://github.com/moul/http2curl
XS-Go-Import-Path: github.com/moul/http2curl

#Testsuite: autopkgtest-pkg-go
Package: golang-github-moul-http2curl-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-smartystreets-goconvey-dev
Description: Go package for convert Golang's http.Request to CURL command line
 Package http2curl provides the function to convert Golang's http.Request to
 CURL command line. By setting the URL, argument, Content-Type, output the
 command line to be executed with CURL.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install

	# remove usr/bin/createmock
	rm -rf debian/golang-github-moul-http2curl-dev/usr/bin

=== debian/watch ===
Version: 5

Template: Github
Owner: moul
Project: http2curl
